/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */


var app = {
    initialize: function() {
        this.bindEvents();
    },

    bindEvents: function() {
        document.addEventListener('deviceready', this.onDeviceReady, false);
    },

    onDeviceReady: function() {
		//In-App Billing
            function successHandler (result) { }
            function errorHandler (error) {
                alert("Your device does not support coins. \nSo you can play the game without coins!");
            }
			//InApp Billing Initialisierung 
            inappbilling.init(successHandler, errorHandler, {showLog:false});
			
		//AdMob
			var admobid = {};
			if( /(android)/i.test(navigator.userAgent) ) { 
				admobid = { // for Android
					banner: 'ca-app-pub-7165468985313051/7995549924',
					interstitial: 'ca-app-pub-7165468985313051/9472283123'
				};
			} else if(/(ipod|iphone|ipad)/i.test(navigator.userAgent)) {
				admobid = { // for iOS
					banner: 'ca-app-pub-7165468985313051/7995549924',
					interstitial: 'ca-app-pub-7165468985313051/9472283123'
				};
			} else {
				admobid = { // for Windows Phone
					banner: 'ca-app-pub-7165468985313051/7995549924',
					interstitial: 'ca-app-pub-7165468985313051/9472283123'
				};
			}
			//Banner
			if (AdMob) {
				AdMob.createBanner({
					adId : admobid.banner,
					position : AdMob.AD_POSITION.BOTTOM_CENTER,
					autoShow : true
				});
			}
			//Interstitial
			if(AdMob) AdMob.prepareInterstitial( {adId:admobid.interstitial, autoShow:false} );	
			
/*
		//Adbuddiz
	      adbuddiz.setAndroidPublisherKey("26ce8a9a-5742-49d3-bd30-00e402d6dda7");
		  adbuddiz.setIOSPublisherKey("TEST_PUBLISHER_KEY_IOS");
		  adbuddiz.cacheAds();
*/		
		//Adcolony			
			var appId = "app923fbeaebd0a46098c";
			var fullScreenAdZoneId = "vz04d3b90abde849ad8c";
			var rewardedVideoAdZoneId = "vz669d20a92b8343919e";
			window.adcolony.setUp(appId, fullScreenAdZoneId, rewardedVideoAdZoneId);
	
			window.adcolony.onFullScreenAdLoaded = function() {	};	
			window.adcolony.onFullScreenAdShown = function() {	};
			window.adcolony.onFullScreenAdHidden = function() {	};
			window.adcolony.onRewardedVideoAdLoaded = function() { };	
			window.adcolony.onRewardedVideoAdShown = function() {	};
			window.adcolony.onRewardedVideoAdHidden = function() { };	
			window.adcolony.onRewardedVideoAdCompleted = function() { };
		

		//Original
		  app.receivedEvent('deviceready');
   }

    ,
    // Update DOM on a Received Event
    receivedEvent: function(id) {
        var parentElement = document.getElementById(id);
        var listeningElement = parentElement.querySelector('.listening');
        var receivedElement = parentElement.querySelector('.received');

        listeningElement.setAttribute('style', 'display:none;');
        receivedElement.setAttribute('style', 'display:block;');

        console.log('Received Event: ' + id);
    }
};

app.initialize();


